// Copyright (C) 2024 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

abstract class AppConstants {
  static const packageName = 'studio_cli';
  static const executableName = 'wyatt';

  static const configFileName = 'wyatt.yaml';
  static const requiredTools = ['fastlane', 'flutter', 'unzip', 'gpg'];

  static const androidFolder = 'android';
  static const androidBundleBuildPath =
      'build/app/outputs/bundle/release/app-release.aab';
  static const androidKeysSecretPassphrase = 'ANDROID_KEYS_SECRET_PASSPHRASE';
  static const androidConfigKey = 'android';

  static const iosFolder = 'ios';
  static const iosKeysSecretPassphrase = 'IOS_KEYS_SECRET_PASSPHRASE';
  static const iosConfigKey = 'ios';

  static const configArg = 'config';
  static const verboseArg = 'verbose';
  static const versionArg = 'version';
}
